hierarchyp0_(hierarchyp0__dcl).
hierarchyp0__dcl(ancestor(_91165),p(p(p)),static,no).
hierarchyp0__dcl(ancestors(_91165),p(p(p)),static,no).
hierarchyp0__dcl(leaf(_91165),p(p(p)),static,no).
hierarchyp0__dcl(leaves(_91165),p(p(p)),static,no).
hierarchyp0__dcl(descendant(_91165),p(p(p)),static,no).
hierarchyp0__dcl(descendants(_91165),p(p(p)),static,no).
:-(hierarchyp0__dcl(_91163,_91164,_91165,_91166,hierarchyp),hierarchyp0__dcl(_91163,_91164,_91165,_91166)).
:-(initialization('$lgt_assert_relation_clauses'(['$lgt_current_protocol_'(hierarchyp,hierarchyp0_)]))).
